Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## oracle.xdb
Class XDBError

`java.lang.Object
oracle.xdb.XDBError`

      public class XDBError

extends java.lang.Object

This class contains the error messages thrown by XDB.

Field Summary
`static java.lang.String` `CANT_UNBIND_SUBCONTEXT` Error message
`static java.lang.String` `CLOSED_OBJECT` Error message
`static java.lang.String` `EMPTY_PATH` Error message
`static java.lang.String` `END_OF_ENUM` Error message
`static java.lang.String` `INVALID_CSID` Error message
`static java.lang.String` `INVALID_OBJECT` Error message
`static java.lang.String` `INVALID_PARAM` Error message
`static java.lang.String` `INVALID_PCFG`
`static java.lang.String` `PATH_ELEM_TOO_LONG` Error message
`static java.lang.String` `PATH_TOO_LONG` Error message
`static java.lang.String` `THIN_NOT_SUPPORTED` Error message

Constructor Summary
`XDBError()`

Method Summary
`static java.lang.String` `getMsg(java.lang.String msgname)` Gets the error message for the specified error message.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INVALID_PARAM

    public static final java.lang.String INVALID_PARAM

  Error message
  See Also:
    Constant Field Values

### EMPTY_PATH

    public static final java.lang.String EMPTY_PATH

  Error message
  See Also:
    Constant Field Values

### PATH_TOO_LONG

    public static final java.lang.String PATH_TOO_LONG

  Error message
  See Also:
    Constant Field Values

### PATH_ELEM_TOO_LONG

    public static final java.lang.String PATH_ELEM_TOO_LONG

  Error message
  See Also:
    Constant Field Values

### CANT_UNBIND_SUBCONTEXT

    public static final java.lang.String CANT_UNBIND_SUBCONTEXT

  Error message
  See Also:
    Constant Field Values

### END_OF_ENUM

    public static final java.lang.String END_OF_ENUM

  Error message
  See Also:
    Constant Field Values

### INVALID_OBJECT

    public static final java.lang.String INVALID_OBJECT

  Error message
  See Also:
    Constant Field Values

### THIN_NOT_SUPPORTED

    public static final java.lang.String THIN_NOT_SUPPORTED

  Error message
  See Also:
    Constant Field Values

### CLOSED_OBJECT

    public static final java.lang.String CLOSED_OBJECT

  Error message
  See Also:
    Constant Field Values

### INVALID_CSID

    public static final java.lang.String INVALID_CSID

  Error message
  See Also:
    Constant Field Values

### INVALID_PCFG

    public static final java.lang.String INVALID_PCFG

  See Also:
    Constant Field Values

Constructor Detail

### XDBError

    public XDBError()

Method Detail

### getMsg

    public static java.lang.String getMsg(java.lang.String msgname)

  Gets the error message for the specified error message. Loads it if it is null.
  Parameters:
    `msgname` - The message name.
  Returns:
    The error message string.

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2003, 2009, Oracle and/or its affiliates. All rights reserved.